apiVersion: batch/v1
kind: Job
metadata:
  name: db-migrations
spec:
  ttlSecondsAfterFinished: 100
  activeDeadlineSeconds: 200
  backoffLimit: 4
  template:
    spec:
      containers:
      - name: db-migrations
        image: flyway/flyway
        command: ["flyway/flyway"]
        volumeMounts:
        - mountPath: /etc/config
          name: config-volume
      restartPolicy: Never
      volumes:
      - configMap:
          name: my-job-cfg
        name: config-volume
